Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.svn
Class SvnRepositoryUtil

    java.lang.Object
      org.modeshape.connector.svn.SvnRepositoryUtil

    public class SvnRepositoryUtil

extends Object

Method Summary
`static org.tmatesoft.svn.core.SVNNodeKind` | `checkThePath(org.tmatesoft.svn.core.io.SVNRepository repository, String path, long revisionNumber, String sourceName)`
`static org.tmatesoft.svn.core.io.SVNRepository` | `createRepository(String url, String username, String password)` Create a `SVNRepository` from a http protocol.
`static org.tmatesoft.svn.core.SVNURL` | `createSVNURL(String url, String sourceName)`
`static boolean` | `exist(org.tmatesoft.svn.core.io.SVNRepository repos)` Check if the repository path exist.
`static boolean` | `exists(org.tmatesoft.svn.core.io.SVNRepository repository, String path)`
`static Collection<org.tmatesoft.svn.core.SVNDirEntry>` | `getDir(org.tmatesoft.svn.core.io.SVNRepository repos, String path)`
`static String` | `getRepositoryWorspaceName(org.tmatesoft.svn.core.io.SVNRepository repository)` Util to get the last segment from a path.
`static boolean` | `isDirectory(org.tmatesoft.svn.core.io.SVNRepository repos, String path)` Check if repository path is a directory.
`static boolean` | `isFile(org.tmatesoft.svn.core.io.SVNRepository repos, String path)` Check if the path is a file.
`static void` | `setNewSVNRepositoryLocation(org.tmatesoft.svn.core.io.SVNRepository oldRespository, String url, boolean forceReconnect, String sourceName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createSVNURL

    public static org.tmatesoft.svn.core.SVNURL createSVNURL(String url,
                                                             String sourceName)

  Parameters:
    `url` -
    `sourceName` -
  Returns:
    SVNURL

### setNewSVNRepositoryLocation

    public static void setNewSVNRepositoryLocation(org.tmatesoft.svn.core.io.SVNRepository oldRespository,
                                                   String url,
                                                   boolean forceReconnect,
                                                   String sourceName)

### checkThePath

    public static org.tmatesoft.svn.core.SVNNodeKind checkThePath(org.tmatesoft.svn.core.io.SVNRepository repository,
                                                                  String path,
                                                                  long revisionNumber,
                                                                  String sourceName)

  Parameters:
    `repository` -
    `path` -
    `revisionNumber` -
    `sourceName` -
  Returns:
    SVNNodeKind

### createRepository

    public static org.tmatesoft.svn.core.io.SVNRepository createRepository(String url,
                                                                           String username,
                                                                           String password)

  Create a `SVNRepository` from a http protocol.

  Parameters:
    `url` - - the url of the repository.
    `username` - - username credential.
    `password` - - password credential
  Returns:
    `SVNRepository`.

### getRepositoryWorspaceName

    public static String getRepositoryWorspaceName(org.tmatesoft.svn.core.io.SVNRepository repository)

  Util to get the last segment from a path.

  Parameters:
    `repository` -
  Returns:
    last segment.

### exist

    public static boolean exist(org.tmatesoft.svn.core.io.SVNRepository repos)

  Check if the repository path exist.

  Parameters:
    `repos` -
  Returns:
    true if repository exist and false otherwise.

### isDirectory

    public static boolean isDirectory(org.tmatesoft.svn.core.io.SVNRepository repos,
                                      String path)
                               throws org.tmatesoft.svn.core.SVNException

  Check if repository path is a directory.

  Parameters:
    `repos` -
    `path` -
  Returns:
    true if repository path is a directory and false otherwise.
  Throws:
    `org.tmatesoft.svn.core.SVNException` - in case the path cannot be validated

### getDir

    public static Collection<org.tmatesoft.svn.core.SVNDirEntry> getDir(org.tmatesoft.svn.core.io.SVNRepository repos,
                                                                        String path)

  Parameters:
    `repos` -
    `path` -
  Returns:
    a collect of entry from directory path; never null

### isFile

    public static boolean isFile(org.tmatesoft.svn.core.io.SVNRepository repos,
                                 String path)

  Check if the path is a file.

  Parameters:
    `repos` -
    `path` -
  Returns:
    true if the path is a file and false otherwise.

### exists

    public static boolean exists(org.tmatesoft.svn.core.io.SVNRepository repository,
                                 String path)
                          throws org.tmatesoft.svn.core.SVNException

  Throws:
    `org.tmatesoft.svn.core.SVNException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.